<div class="mt-3" >
  <img src="../../assets/images/logo-white.png" width="320px" alt="Logo">
</div>
<div class="card" style="width: 40%; margin-left: 30%;">
      <div class="card-header text-center"><h1 class="card-title">Registro</h1></div>
      <div class="card-body">
        <div *ngIf="errore" class="alert alert-danger">Correo ya existente</div>
        <form [formGroup]="profileForm" (ngSubmit)="registrerVal()">
          <input type="number" id="edad" min="1" placeholder="Edad" class="form-control" name="edad" formControlName="edad" [ngClass]="{'invalid-input': isNameInvalid}">
          <label *ngIf="isNameInvalid" class="error-message">
            Nombre invalido
          </label><br>
          <!--label for="nombre">Nombre</label-->
          <input type="text" id="nombre" placeholder="Nombre" class="form-control" name="name" formControlName="name" [ngClass]="{'invalid-input': isNameInvalid}">
          <label *ngIf="isNameInvalid" class="error-message">
            Nombre invalido
          </label><br>
          <!--label for="email">Correo</label-->
          <input type="email" id="email" placeholder="Correo" class="form-control" name="email" formControlName="email" [ngClass]="{'invalid-input': isMailInvalid}">
          <label *ngIf="isMailInvalid" class="error-message">
            El correo no tiene el formato correcto
          </label><br>
          <!--label for="password">Contraseña</label-->
          <input type="password" id="password" placeholder="Contraseña" class="form-control" name="password" formControlName="password" [ngClass]="{'invalid-input': isPassInvalid}">
          <label *ngIf="isPassInvalid" class="error-message">
            La contraseña debe tener entre 8 y 16 carateres
          </label><br>
          <div class="text-center">
            <button type="submit" class="btn btn-primary" [disabled]="!profileForm.valid">Registrarme</button>
            <div class="text-center"><a href="/login"><br>Iniciar sesión</a></div>
          </div>
          
        </form>
      </div>
    </div>
  